body {
    background-color: rgb(216, 73, 73);
    display: flex;
    padding: 0;
    margin: 0;
    flex-direction: column;
    align-items: center;
}

@font-face {
    font-family: "Modesto";
    src: url(./assets/modesto-condensed-bold.ttf);
}

.f-modesto {
    font-family: "Modesto";
}

#title-container {
    display: flex;
    height: 150px;
    justify-content: center;
    align-items: center;
    width: 100%;

    #title {
        font-size: 52px;
        color: white;
        transition: 400ms;
        text-align: center;
    }

    #title:hover {
        cursor: pointer;
        color: black;
        font-size: 64px;
    }
}

#effect-container {
    display: flex;
    background-color: white;
    border-radius: 15px;
    width: calc(100vw - 250px);
    height: calc(100vh - 230px);
    padding: 15px 75px 15px 75px;
    justify-content: center;
    align-items: center;
    transition: 300ms;
    position: relative;

    #effect-description {
        color: rgb(216, 73, 73);
        font-family: 'Montserrat';
        font-size: 26px;
        font-weight: bold;
        text-align: center;
    }

    #refresh-effect {
        position: absolute;
        font-size: 30px;
        transition: 200ms;
        visibility: hidden;
        bottom: 20px;
        right: 20px;
    }

    #refresh-effect:hover {
        cursor: pointer;
        color: rgb(216, 73, 73);
    }

    #settings-button {
        position: absolute;
        font-size: 30px;
        top: 20px;
        right: 20px;
        transition: 200ms;
    }

    #settings-button:hover {
        cursor: pointer;
        color: rgb(216, 73, 73);
    }
}

@media (max-width: 600px) {
    #title-container {

        #title {
            font-size: 42px;
        }

        #title:hover {
            cursor: default;
            color: white;
            font-size: 42px;
        }
    }

    #effect-container {
        width: calc(100% - 30px);
        padding: 15px;
        border-radius: 0;
        height: calc(100vh - 180px);

        #effect-description {
            font-size: 16spx;
        }

        #refresh-effect {
            font-size: 20px;
        }
    }
}
